org.eclipse.rdf4j.query

## Enum Query.QueryType

- java.lang.Object
- - java.lang.Enum<Query.QueryType>
  - - org.eclipse.rdf4j.query.Query.QueryType

- All Implemented Interfaces:
    Serializable, Comparable<Query.QueryType>
  Enclosing interface:
    Query

      public static enum Query.QueryType
      extends Enum<Query.QueryType>

  The different types of queries that RDF4J recognizes: boolean queries, graph queries, and tuple queries.
  Since:
    3.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` Boolean queries (such as the SPARQL ASK query form) return either `true` or `false` as the result.
    `GRAPH` Graph queries (such as the SPARQL CONSTRUCT and DESCRIBE query form) return a sequence of RDF `statements` as the result.
    `TUPLE` Tuple queries (such as the SPARQL SELECT query form) return a sequence of `sets of variable bindings` as the result.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Query.QueryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Query.QueryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final Query.QueryType BOOLEAN

      Boolean queries (such as the SPARQL ASK query form) return either `true` or `false` as the result.

    - #### GRAPH

          public static final Query.QueryType GRAPH

      Graph queries (such as the SPARQL CONSTRUCT and DESCRIBE query form) return a sequence of RDF `statements` as the result.

    - #### TUPLE

          public static final Query.QueryType TUPLE

      Tuple queries (such as the SPARQL SELECT query form) return a sequence of `sets of variable bindings` as the result.

  - ### Method Detail

    - #### values

          public static Query.QueryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Query.QueryType c : Query.QueryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Query.QueryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.